package cz.muni.fi.pa165.controller.album;

import cz.muni.fi.pa165.model.album.AlbumCreateDTO;
import cz.muni.fi.pa165.model.album.AlbumDTO;
import cz.muni.fi.pa165.service.album.AlbumService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class AlbumControllerImpl implements AlbumController {

    private final AlbumService albumService;

    @Autowired
    public AlbumControllerImpl(AlbumService albumService) {
        this.albumService = albumService;
    }

    @Override
    public ResponseEntity<AlbumDTO> createAlbum(AlbumCreateDTO albumDTO) {
        return ResponseEntity.status(HttpStatus.CREATED).body(albumService.createAlbum(albumDTO));
    }

    @Override
    public ResponseEntity<AlbumDTO> getAlbumById(long id) {
        return ResponseEntity.ok(albumService.getAlbumById(id));
    }

    @Override
    public ResponseEntity<AlbumDTO> updateAlbumById(long id, AlbumDTO albumDTO) {
        return ResponseEntity.ok(albumService.updateAlbumById(id, albumDTO));
    }

    @Override
    public ResponseEntity<Void> removeAlbumById(long id) {
        albumService.removeAlbumById(id);
        return ResponseEntity.noContent().build();
    }
}
