package cz.muni.fi.pa165.controller.song;

import cz.muni.fi.pa165.model.song.SongDTO;
import cz.muni.fi.pa165.service.song.SongService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class SongControllerImpl implements SongController {

    private final SongService songService;

    @Autowired
    public SongControllerImpl(SongService songService) {
        this.songService = songService;
    }

    @Override
    public ResponseEntity<SongDTO> createSong(SongDTO songDTO) {
        return ResponseEntity.status(HttpStatus.CREATED).body(songService.createSong(songDTO));
    }

    @Override
    public ResponseEntity<SongDTO> getSongById(long id) {
        return ResponseEntity.ok(songService.getSongById(id));
    }

    @Override
    public ResponseEntity<SongDTO> updateSongById(long id, SongDTO songDTO) {
        return ResponseEntity.ok(songService.updateSongById(id, songDTO));
    }

    @Override
    public ResponseEntity<Void> removeSongById(long id) {
        songService.removeSongById(id);
        return ResponseEntity.noContent().build();
    }

}
