package cz.muni.fi.pa165.data.entity;

import jakarta.persistence.*;
import jakarta.validation.constraints.NotNull;
import lombok.*;

import java.time.Instant;
import java.util.List;

@Entity
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "album")
public class Album {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;
    @Column(name = "name", nullable = false)
    private String name;

    @Column(name = "date_of_creation", nullable = false)
    private Instant dateOfCreation;

    @ManyToOne(optional = false)
    @JoinColumn(name = "band_id")
    private Band band;

    @OneToMany(mappedBy = "album")
    private List<Song> songs;

}
