package cz.muni.fi.pa165.data.entity;

import jakarta.persistence.*;
import lombok.*;

import java.util.List;

@Entity
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "band")
public class Band {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @Column(name = "name", nullable = false)
    private String name;

    @ElementCollection(fetch = FetchType.EAGER)
    private List<Long> bandMemberIds;

    @Column(name = "genre", nullable = false)
    private String genre;

    @Column(name = "band_manager_id", nullable = false)
    private Long bandManagerId;

    @OneToMany(mappedBy = "band", fetch = FetchType.EAGER)
    private List<Tour> tours;

    @OneToMany(mappedBy = "band", fetch = FetchType.EAGER)
    private List<Album> albums;
}
