package cz.muni.fi.pa165.exception;

import cz.muni.fi.pa165.exception.model.*;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.context.request.WebRequest;
import org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler;

@ControllerAdvice
public class BandExceptionHandler extends ResponseEntityExceptionHandler {

    @ExceptionHandler(value = {
            BandNotFoundException.class,
            TourNotFoundException.class,
            AlbumNotFoundException.class,
            SongNotFoundException.class,
            TourStopNotFoundException.class
    })
    protected ResponseEntity<Object> handleNotFound(RuntimeException ex, WebRequest request) {
        String bodyOfResponse = ex.getMessage();
        return handleExceptionInternal(ex, bodyOfResponse, new HttpHeaders(), HttpStatus.NOT_FOUND, request);
    }

}
