package cz.muni.fi.pa165.mapper;

import cz.muni.fi.pa165.data.entity.Album;
import cz.muni.fi.pa165.data.entity.Tour;
import cz.muni.fi.pa165.data.entity.TourStop;
import cz.muni.fi.pa165.model.tour.TourCreateDTO;
import cz.muni.fi.pa165.model.tour.TourDTO;
import cz.muni.fi.pa165.model.tour.TourStopDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.util.List;
import java.util.stream.Collectors;

@Mapper(componentModel = "spring")
public interface TourMapper {
    TourMapper INSTANCE = Mappers.getMapper(TourMapper.class);

    @Mapping(source = "band.id", target = "bandId")
    @Mapping(target = "tourStopIds", source = "tourStops", qualifiedByName = "mapTourStopsToLongList")
    TourDTO tourToTourDTO(Tour tour);

    Tour tourDTOToTour(TourDTO tourDTO);

    Tour tourCreateDTOToTour(TourCreateDTO tourCreateDTO);

    @Named("mapTourStopsToLongList")
    default List<Long> mapTourStopsToLongList(List<? extends TourStop> entities) {
        if (entities == null) {
            return null;
        }
        return entities.stream().map(TourStop::getId).collect(Collectors.toList());
    }
}
