package cz.muni.fi.pa165.model.album;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.*;
import org.hibernate.validator.constraints.Length;

import java.time.Instant;
import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AlbumDTO {

    private long id;

    @NotBlank
    @Length(max = 50)
    private String name;

    private Instant dateOfCreation;

    @NotNull
    private Long bandId;

    private List<Long> songIds;

}
