package cz.muni.fi.pa165.model.band;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.*;
import org.hibernate.validator.constraints.Length;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BandDTO {

    private long id;

    @NotBlank
    @Length(max = 20)
    private String name;

    private List<Long> bandMemberIds;

    @NotBlank
    private String genre;

    @NotNull
    private Long bandManagerId;

    private List<Long> tourIds;

    private List<Long> albumIds;

}
